Bug 189287 - Mkinitrd support for dmraid initialization
Mkinitrd support for dmraid initialization
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 16:28 EDT by Hovhannes Tumanyan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 17:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to mkinitrd which enables dmraid support (1.16 KB, patch)
2006-04-18 16:28 EDT, Hovhannes Tumanyan
no flags Details | Diff

  None (edit)
Description Hovhannes Tumanyan 2006-04-18 16:28:43 EDT
Description of problem:

mkinitrd generated images do not support dmraid based software RAID. That 
complicates boot-up on dmraid based partitions and requires manula modification 
of initrd image. It also complicates auto-mounting of dmraid based partitions.

Solution:

Here is a patch to mkinitrd that enables dmraid
initialization during init.

I developed it to enable proper initialization of LVM
partitions hosted on dmraid based software RAID.

Modified mkinird allows to optionally turn off
dmraid support in genereated image by passing 
--omit-dmraid command line key.

My changes are tested on CentOS 4.1 2.6.9-11.EL
kernel.

Hopefully this may be useful to people with similar
software/hardware configurations.

Is anything else that I could/should do to make this patch helpful to as
many people as possible and ideally make it part of
Red Hat distribution?

Thank you,
Hovhannes Tumanyan, CISSP
Comment 1 Hovhannes Tumanyan 2006-04-18 16:28:43 EDT
Created attachment 127945 [details]
Patch to mkinitrd which enables dmraid support
Comment 2 Peter Jones 2006-08-16 17:30:44 EDT
This feature (though with a different implementation) is included in current
Fedora Core trees, and will be in RHEL 5.

Note You need to log in before you can comment on or make changes to this bug.